Payment batches & settlement

Tx Ops Execute Group

Name and signature indicate it changes tx ops execute group

POSThttps://api.toku.com/stablecoin-payroll/tx-ops-execute-group

Not available to API keys yet. It will need payments:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/tx-ops-execute-group' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "batchID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "groupKey": "string",
  "provider": "FIREBLOCKS",
  "sourceWallet": {
    "address": "string",
    "type": "CUSTODY_WALLET",
    "custodyWalletID": "string",
    "label": "string",
    "delegateAddress": "string",
    "supportsBatching": true
  },
  "reviewedBankPayouts": [
    {
      "paymentIntentID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "hrisBankAccountID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "bankUpdatedAt": "string"
    }
  ],
  "payBeforeRelease": true
}'
200 response
{
  "attemptID": "string",
  "attemptNumber": 0,
  "provider": "string",
  "status": "string",
  "transactionCount": 0,
  "transactions": [
    {
      "transactionID": "string",
      "status": "string",
      "providerTransactionID": "string",
      "errorCode": "string",
      "errorMessage": "string",
      "errorStage": "string",
      "isRetryable": true
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

batchIDstring<uuid>required
groupKeystringrequired

Allowed: at least 1 characters

providerstringrequired

Available options: FIREBLOCKS, SAFE, SQUADS, COINBASE_PRIME, ANCHORAGE, BRIDGE, DIRECT, AIRWALLEX, FILECOIN, FORDEFI, HOT_WALLET, BITGO

sourceWalletobjectrequired
Show child attributes
addressstringrequired

Allowed: at least 1 characters

typestringrequired

Available options: CUSTODY_WALLET, SAFE_MULTISIG, USER_WALLET, EXCHANGE_ACCOUNT, FIAT_ACCOUNT

custodyWalletIDstring | nullrequired
labelstringrequired
delegateAddressstring | nullrequired
supportsBatchingbooleanrequired
reviewedBankPayoutsobject[]

Allowed: at most 1000 items

Show child attributes
paymentIntentIDstring<uuid>required
hrisBankAccountIDstring<uuid>required
bankUpdatedAtstringrequired
payBeforeReleaseboolean

Response

200Successful response
attemptIDstringrequired
attemptNumberintegerrequired
providerstringrequired
statusstringrequired
transactionCountintegerrequired
transactionsobject[]required
Show child attributes
transactionIDstringrequired
statusstringrequired
providerTransactionIDstring | nullrequired
errorCodestring | nullrequired
errorMessagestring | nullrequired
errorStagestring | nullrequired
isRetryablebooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits